GrailsModelResolver (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.support
[Groovy] Class GrailsModelResolver

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.support.GrailsModelResolver

All Implemented Interfaces:
  org.apache.maven.model.resolution.ModelResolver

    @groovy.transform.CompileStatic
    class GrailsModelResolver

Authors:
  Graeme Rocher

Since:
  2.3

Constructor Summary
`GrailsModelResolver(org.eclipse.aether.RepositorySystem system, org.eclipse.aether.RepositorySystemSession session, java.util.List repositories)`

Method Summary
`void` | `addRepository(org.apache.maven.model.Repository repository)`
`org.apache.maven.model.resolution.ModelResolver` | `newCopy()`
`org.apache.maven.model.building.ModelSource` | `resolveModel(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsModelResolver

    GrailsModelResolver(org.eclipse.aether.RepositorySystem system, org.eclipse.aether.RepositorySystemSession session, java.util.List repositories)

Method Detail

### addRepository

    @java.lang.Override
    void addRepository(org.apache.maven.model.Repository repository)

### newCopy

    @java.lang.Override
    org.apache.maven.model.resolution.ModelResolver newCopy()

### resolveModel

    @java.lang.Override
    org.apache.maven.model.building.ModelSource resolveModel(java.lang.String groupId, java.lang.String artifactId, java.lang.String version)

Groovy Documentation